%define upstream_name    Net-Whois-Raw
%define upstream_version 2.99040

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Get Whois information for domains
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(IO::Socket::IP)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Net::IDN::Punycode)
BuildRequires: perl(Regexp::IPv6)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(URI::URL)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%global __requires_exclude perl\\(Win32API::Registry\\)
%description
Net::Whois::Raw queries WHOIS servers about domains. The module supports
recursive WHOIS queries. Also queries via HTTP is supported for some TLDs.

Setting the variables $OMIT_MSG and $CHECK_FAIL will match the results
against a set of known patterns. The first flag will try to omit the
copyright message/disclaimer, the second will attempt to determine if the
search failed and return undef in such a case.

*IMPORTANT*: these checks merely use pattern matching; they will work on
several servers but certainly not on all of them.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

# Cancelling tests because they require external network to be accessed.
# %%check
# %make test

%install
%make_install

%files
%doc COPYRIGHT Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/pwhois
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Jul 01 2024 tv <tv> 2.990.400-1.mga10
+ Revision: 2078673
- update to 2.99040

* Sun Apr 28 2024 tv <tv> 2.990.390-1.mga10
+ Revision: 2061458
- update to 2.99039

* Thu Mar 07 2024 tv <tv> 2.990.380-1.mga10
+ Revision: 2048276
- update to 2.99038

* Sat Aug 13 2022 tv <tv> 2.990.370-1.mga9
+ Revision: 1877446
- update to 2.99037

* Wed Jun 22 2022 tv <tv> 2.990.360-1.mga9
+ Revision: 1865504
- update to 2.99036

* Tue Apr 19 2022 tv <tv> 2.990.340-1.mga9
+ Revision: 1851565
- update to 2.99034

* Mon Mar 21 2022 umeabot <umeabot> 2.990.320-2.mga9
+ Revision: 1814903
- Mageia 9 Mass Rebuild

* Sat Aug 21 2021 tv <tv> 2.990.320-1.mga9
+ Revision: 1742064
- update to 2.99032

* Fri Sep 04 2020 tv <tv> 2.990.310-1.mga8
+ Revision: 1621574
- update to 2.99031

* Wed Aug 12 2020 tv <tv> 2.990.300-1.mga8
+ Revision: 1613491
- update to 2.99030

* Wed Jul 01 2020 tv <tv> 2.990.290-1.mga8
+ Revision: 1600910
- update to 2.99029

* Wed May 13 2020 tv <tv> 2.990.280-1.mga8
+ Revision: 1583449
- update to 2.99028

* Fri Feb 28 2020 tv <tv> 2.990.270-1.mga8
+ Revision: 1551965
- update to 2.99027

* Mon Feb 17 2020 umeabot <umeabot> 2.990.260-2.mga8
+ Revision: 1537223
- Mageia 8 Mass Rebuild

* Sun Oct 27 2019 tv <tv> 2.990.260-1.mga8
+ Revision: 1456029
- update to 2.99026

* Fri Oct 25 2019 tv <tv> 2.990.250-1.mga8
+ Revision: 1455767
- update to 2.99025

* Sat Oct 12 2019 tv <tv> 2.990.240-1.mga8
+ Revision: 1452101
- update to 2.99024

* Fri Jul 12 2019 tv <tv> 2.990.220-1.mga8
+ Revision: 1420694
- update to 2.99022

* Tue Mar 12 2019 tv <tv> 2.990.210-2.mga7
+ Revision: 1374769
- fix summary

* Thu Nov 22 2018 tv <tv> 2.990.210-1.mga7
+ Revision: 1333177
- update to 2.99021

* Wed Oct 17 2018 shlomif <shlomif> 2.990.200-1.mga7
+ Revision: 1321472
- update to 2.99020

* Thu Sep 20 2018 umeabot <umeabot> 2.990.180-2.mga7
+ Revision: 1285300
- Mageia 7 Mass Rebuild

* Wed Sep 12 2018 shlomif <shlomif> 2.990.180-1.mga7
+ Revision: 1258758
- update to 2.99018

* Sat Aug 25 2018 shlomif <shlomif> 2.990.160-1.mga7
+ Revision: 1253971
- update to 2.99016

* Fri Jun 22 2018 shlomif <shlomif> 2.990.150-1.mga7
+ Revision: 1238935
- update to 2.99015

* Thu May 10 2018 shlomif <shlomif> 2.990.140-1.mga7
+ Revision: 1228162
- update to 2.99014

* Tue Dec 26 2017 shlomif <shlomif> 2.990.130-1.mga7
+ Revision: 1185322
- update to 2.99013

* Sun Dec 10 2017 shlomif <shlomif> 2.990.110-1.mga7
+ Revision: 1182057
- update to 2.99011

* Tue Oct 03 2017 tv <tv> 2.990.100-2.mga7
+ Revision: 1166017
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 2.990.100-1.mga7
+ Revision: 1157241
- new version 2.99010

* Sun May 29 2016 shlomif <shlomif> 2.960.0-1.mga6
+ Revision: 1019294
- update to 2.96

* Fri Apr 08 2016 shlomif <shlomif> 2.940.0-1.mga6
+ Revision: 999519
- update to 2.94

* Thu Mar 24 2016 shlomif <shlomif> 2.930.0-1.mga6
+ Revision: 994839
- update to 2.93

* Sat Feb 20 2016 umeabot <umeabot> 2.910.0-2.mga6
+ Revision: 972485
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 shlomif <shlomif> 2.910.0-1.mga6
+ Revision: 899971
- New version 2.91

* Mon Sep 28 2015 sander85 <sander85> 2.870.0-1.mga6
+ Revision: 884769
- update to 2.87

* Wed Sep 02 2015 shlomif <shlomif> 2.860.0-1.mga6
+ Revision: 872284
- New version 2.86

* Mon Jul 13 2015 sander85 <sander85> 2.850.0-1.mga6
+ Revision: 853564
- update to 2.85

* Tue Jun 30 2015 sander85 <sander85> 2.840.0-1.mga6
+ Revision: 849066
- update to 2.84

* Sun Oct 19 2014 umeabot <umeabot> 2.760.0-4.mga5
+ Revision: 788650
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.760.0-3.mga5
+ Revision: 745960
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Jul 08 2014 sander85 <sander85> 2.760.0-1.mga5
+ Revision: 650645
- update to 2.76

* Thu Jul 03 2014 sander85 <sander85> 2.750.0-1.mga5
+ Revision: 642693
- update to 2.75

* Tue Jul 01 2014 sander85 <sander85> 2.740.0-1.mga5
+ Revision: 641848
- update to 2.74

* Wed Jun 04 2014 sander85 <sander85> 2.700.0-1.mga5
+ Revision: 633028
- update to 2.70

* Fri Apr 25 2014 shlomif <shlomif> 2.630.0-1.mga5
+ Revision: 617956
- update to 2.63

* Tue Mar 25 2014 jquelin <jquelin> 2.600.0-1.mga5
+ Revision: 608384
- update to 2.60

* Fri Mar 14 2014 jquelin <jquelin> 2.590.0-1.mga5
+ Revision: 603728
- update to 2.59

* Thu Mar 13 2014 jquelin <jquelin> 2.570.0-1.mga5
+ Revision: 602987
- update to 2.57

* Mon Feb 10 2014 jquelin <jquelin> 2.510.0-1.mga5
+ Revision: 588548
- update to 2.51

* Sun Oct 20 2013 umeabot <umeabot> 2.480.0-2.mga4
+ Revision: 536721
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 shlomif <shlomif> 2.480.0-1.mga4
+ Revision: 485470
- update to 2.48

* Sat Jun 01 2013 shlomif <shlomif> 2.460.0-1.mga4
+ Revision: 434171
- Cancel tests
- update to 2.46

* Sun Jan 13 2013 umeabot <umeabot> 2.430.0-2.mga3
+ Revision: 370969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 shlomif <shlomif> 2.430.0-1.mga3
+ Revision: 304734
- imported package perl-Net-Whois-Raw

